/*
 *================================================================
 * Temperature Logger
 * using MSP430G2553 on Launchpad
 *   This program access I2C bus using USCI_B0 I2C master port
 *   operation by user terminal via USCI_A0 UART port
 *
 *   2013.12.27 (C) espilab
 *================================================================
 */

/*
 * ======== Standard MSP430 includes ========
 */
#include <msp430.h>

/*
 * ======== Grace related includes ========
 */
#include <ti/mcu/msp430/Grace.h>

#include "user_define.h"


/*
 *  ======== main ========
 */
int main(void)
{

    Grace_init();                   // Activate Grace-generated configuration
    
    led_2(TRUE);
    uart_sendstr("\r\n\r\nTerminal access system 2013-2014 espilab\r\n>");

    init_pmmode();
    init_temp_sensor();
    init_rec();

    loop_dispatch();


    //return (0);
}
